package testing.ConsoleReader;

import javax.swing.JOptionPane;

public class Daemon extends Thread
{
	private ConsoleReader cr;
	
	public Daemon(ConsoleReader reader)
	{
		cr = reader;
	}
	
	@Override
	public void run()
	{
		while (!cr.isExit())
		{
			if(!cr.isPaused())
			{
				JOptionPane.showMessageDialog(null, "Weeee! We are executing!");
				
				try
				{
					Thread.sleep(1000);
				}
				catch (InterruptedException e)
				{
					e.printStackTrace();
				}
			}
		}
	}
}